# Get all non archived employees.

If you want to find archived employees, please use search method.

Endpoint: POST /employees/v1/list
Version: v1
Security: basicAuth

## Request fields (application/json):

  - `page` (integer)
    Page number

## Response 200 fields (application/json):

  - `employees` (array, required)
    List of employees

  - `employees.id` (integer, required)
    Employee id number

  - `employees.firstName` (string, required)
    Employee first name
    Example: "John"

  - `employees.lastName` (string, required)
    Employee last name
    Example: "Smith"

  - `employees.email` (string, required)
    Employee email
    Example: "john.smith@domain.com"

  - `employees.externalNumber` (string, required)
    External employee number
    Example: "AYU23"

  - `employees.workingWeek` (object, required)
    Working week

  - `employees.workingWeek.id` (integer, required)
    Working week id

  - `employees.workingWeek.name` (string, required)
    Working week name
    Example: "Full time"

  - `employees.approvalFlow` (object, required)
    Approval flow

  - `employees.approvalFlow.id` (integer, required)
    Approval flow id

  - `employees.approvalFlow.name` (string, required)
    Approval flow name
    Example: "Default Approval Flow"

  - `employees.position` (object, required)
    Position

  - `employees.position.id` (integer, required)
    Position id

  - `employees.position.name` (string, required)
    Position name
    Example: "Developer"

  - `employees.teams` (array, required)
    Teams

  - `employees.teams.id` (integer, required)
    Team id

  - `employees.teams.name` (string, required)
    Team name
    Example: "Main Team"

  - `employees.admin` (boolean, required)
    Is the employee is an admin?

  - `employees.contractType` (object, required)
    Contract type

  - `employees.contractType.id` (integer, required)
    Contract type id

  - `employees.contractType.name` (string, required)
    Contract type name
    Example: "Contract type"

  - `employees.language` (string, required)
    Employee language
    Example: "EN"

  - `employees.timezone` (string, required)
    Employee timezone
    Example: "Europe/Warsaw"

  - `employees.directManager` (object, required)
    Employee direct manager

  - `employees.directManager.id` (integer, required)
    Employee id

  - `employees.directManager.email` (string, required)
    Employee email
    Example: "john.white@domain.com"

  - `employees.birthDate` (string, required)
    Birth date
    Example: "2017-02-20"

  - `employees.hireDate` (string, required)
    Hire date
    Example: "2017-02-20"

  - `employees.businessPhone` (string, required)
    Business phone
    Example: "827032162"

  - `employees.homePhone` (string, required)
    Home phone
    Example: "826021237"

  - `employees.personalEmail` (string, required)
    Personal email
    Example: "john.smith@personalDomain.com"

  - `employees.addressStreet` (string, required)
    Address street
    Example: "Small Street"

  - `employees.addressNumber` (string, required)
    Address building/flat number
    Example: "2/12"

  - `employees.addressCity` (string, required)
    Address city
    Example: "Warsaw"

  - `employees.addressPostalCode` (string, required)
    Address postal code
    Example: "15-322"

  - `employees.addressProvinceState` (string, required)
    Address province/state.
    Example: "Main province"

  - `employees.addressCountry` (string, required)
    Address country
    Example: "Poland"

  - `employees.emergencyContactName` (string, required)
    Emergency contact name
    Example: "Contact name"

  - `employees.emergencyContactRelationship` (string, required)
    Emergency contact relationship
    Example: "Contact relationship"

  - `employees.emergencyContactPhone` (string, required)
    Emergency contact phone
    Example: "820321876"

  - `employees.holidaysCalendar` (object, required)
    Emergency contact name

  - `employees.holidaysCalendar.id` (integer, required)
    Holiday calendar id

  - `employees.holidaysCalendar.name` (string, required)
    Holiday calendar name
    Example: "Primary calendar"

  - `employees.maritalStatus` (string, required)
    Martial status
    Enum: "SINGLE", "MARRIED", "WIDOWED", "SEPARATED", "DIVORCED", "DOMESTIC_PARTNERSHIP", "COMMON_LAW", "OTHER", "NOT_SET"

  - `employees.probationEndDate` (string, required)
    Probation end date
    Example: "2017-02-20"

  - `employees.plannedFiring` (string, required)
    Planned firing
    Example: "2017-02-20"

  - `employees.seniorityBeforeHireYears` (integer, required)
    Seniority before hire - years

  - `employees.seniorityBeforeHireMonths` (integer, required)
    Seniority before hire - months

  - `employees.childrenCount` (integer, required)
    Number of children

  - `employees.youngestChildBirthDate` (string, required)
    The youngest child birth date
    Example: "2017-02-20"

  - `employees.customNote` (string, required)
    Custom note
    Example: "Optional custom note"

  - `employees.sex` (string, required)
    Sex
    Enum: "MALE", "FEMALE", "OTHER", "NOT_SET"

  - `employees.archived` (boolean, required)
    Is employee archived?

  - `currentPage` (integer, required)
    Current page

  - `totalPages` (integer, required)
    Total pages

## Response 400 fields (application/json):

  - `message` (string)
    Human readable error explanation.
    Example: "Api error"

  - `code` (string)
    Error code.
    Example: "INVALID_JSON_PAYLOAD"

  - `field` (string)
    Which field of payload object caused error. NULL when error is not related to particular field
    Example: "field"

## Response 401 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Authentication failure"

  - `code` (string, required)
    General type of error
    Example: "AUTH"

  - `field` (string)
    Leftover for backward compatibility

## Response 429 fields (application/json):

  - `code` (string, required)
    General type of error
    Example: "QUOTA_EXCEEDED"

  - `field` (string, required)
    Detailed info about quota and it's current usage
    Example: "Your current usage is 101/day, 10/hour, 1/sec\nYour current limits 100/day, 10/hour, 1/sec."

## Response 500 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "An unexpected error occurred"

  - `code` (string, required)
    General type of error
    Example: "INTERNAL_SERVER_ERROR"

## Response 504 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Public API call exceeded timeout"

  - `code` (string, required)
    General type of error
    Example: "TIMEOUT"


## Response 403 fields
